// 数据返回错误码配置
var CODEMAP = {
    "ControlBlock" : 0 ,                      // 风控阻断
    "status": {                               // 状态码
        success: 0,                           // 成功
        login: 6,                             // 未登录
        cacheCode: 304                        // 判断请求到的数据与缓存的数据是否一致
    },
    "tips":{          
        other: "网络繁忙，请稍后再试！"       //提示内容
    },
    "hqbIsOnline": 1         // 活期宝是否上线 1是显示 0是不显示
}; 
ZSYWEB.Core.config({
	env : {
		runev:"MOBILE"
		,
		sever : "test"
	},
	services : {
		// dev: 'https://test-csnwmapi.zsyjr.com/',
		// devapp : 'https://test-apfront.zsyjr.com/',
		// devfet : 'https://test-fet.zsyjr.com/',
		// devshb : 'https://test-shbapi.zsyjr.com/'
	},
    // 以下注释为打包工具标记，请勿删除
    loadconfig: /*amd<*/{
		baseUrl : "../../",
	    paths: {
			'juicer' : 'jslib/juicer',
			'interval': 'jslib/interval',
			'ZSYWEB.Util' : 'js/util',
			'ZSYWEB.Services' : 'services/service',
			'ZSYWEB.NativeAPI' : 'native/nativeapi',
			'ZSYWEB.NativeAPI.MOBILE' : 'native/mobile',
			'ZSYWEB.NativeAPI.PC' : 'native/pc',
			'ZSYWEB.NativeAPI.WEIXIN' : 'native/weixin',
			'ZSYWEB.Filter' : 'filter/filter',
			'ZSYWEB.Pub' : 'js/pub',
			'ZSYWEB.Control' : 'js/control',
			'ZSYWEB.Binder' : 'js/binder',
			'ZSYWEB.Event' : 'js/event',
			'ZSYWEB.Comm' : 'js/comm',
			'ZSYWEB.BasicPlug' : 'js/basicplug',
			'ZSYWEB.Adapter' : 'services/adapter',
			'ZSYWEB.Klass' : 'js/klass',
			'ZSYWEB.Menu' : 'platform/das/menu',
			'ZSYWEB.Header' : 'platform/das/header',
			'ZSYWEB.CommonData' : 'js/commonData',
			'ZSYWEB.ShapeGallery' : 'widget/skb/draw',
			'ZSYWEB.Widget.PassWord': 'widget/skb/password',
			'ZSYWEB.Widget.KeyBoard': 'widget/skb/keyboard',
			'ZSYWEB.Widget.Pushbutton': 'widget/pushbutton/pushbutton',
			'ZSYWEB.Widget.Carousel': 'widget/carousel/carousel',
			'ZSYWEB.Widget.Popup': 'widget/popup/popup',
			'ZSYWEB.Widget.Alert': 'widget/alert/alert',
			'ZSYWEB.Widget.ListLoading': 'widget/listloading/listloading',
			'ZSYWEB.Widget.Refresh': 'widget/refresh/refresh',
			'ZSYWEB.Widget.Date': 'widget/date/date',
			'ZSYWEB.Cache': 'js/memory-cache',
			'ZSYWEB.Widget.Calendar': 'widget/calendar/calendar',
			'ZSYWEB.Widget.Address': 'widget/address/address',
			'ZSYWEB.Widget.Animate': 'widget/animate/animate'
	    }
	}/*>*/,
	apiversion : '1.1.0',
	headers : {
		'appversion':'1.1.0',
		'ihome-imei':'1C52632E36DF49D4B79D070828BEA515',
		'ihome-os':'2',
		'scenesCode':'WECHAT'
	},
	wxConfig : {
		sharePic : 'https://m.zsyjr.com/wealth/images/logo.png',
		debug : false,
		jsApiList : ['onMenuShareTimeline','onMenuShareAppMessage','onMenuShareQQ','onMenuShareWeibo','onMenuShareQZone']
	},
	apiConfig : {
		// app% 应用平台
		"login" : {
			url : "app%login",
			security : true
		},
		// 风控
		"login_tms" : {
			url : "app%login_tms",
			security : true
		},
		// 修改新手机号码 前判断是否已经登录
		"check_login_password" : {
			url : "app%modify_mobile/check_login_password/v1.6.0",
			security : true
		},
		// 修改新手机号码 发送验证码到旧手机
		"send_sms_old_mobile" : {
			url : "app%modify_mobile/send_sms_old_mobile",
			security : true
		},
		// 修改新手机号码 验证旧手机验证码
		"check_sms_old_mobile" : {
			url : "app%modify_mobile/check_sms_old_mobile",
			security : true
		},
		// 修改新手机号码 发送验证码到新手机
		"send_sms_new_mobile" : {
			url : "app%modify_mobile/send_sms_new_mobile",
			security : true
		},
		// 验证用户信息
		"check_identity" : {
			url : "app%modify_mobile/check_identity",
			security : true
		},
		// 修改新手机号码
		"do_modify" : {
			url : "app%modify_mobile/do_modify",
			security : true
		},
		// 修改交易密码  验证原密码
		"check_old_passwordy" : {
			url : "app%modify_pay_password/check_old_password",
			security : true
		},
		// 分享注册验证手机号
		"login_name_registered": {
			url : "app%login_name_registered",
			security : true
		},
		"register": {
			url : "app%register/login_name_registered",
			security : true
		},  // 获取验证码
		"send_sms_code" : {
			url : "app%send_sms_code",
			security : true
		},
		"registerByChannel" : {
			url : "app%registerByChannel",
			security : true
		},
		"shareRegisterByChannel" : {
			url : "app%registerByChannel",
			security : true
		},
		"queryDetail" : {
			url : "app%customer/query/detail",
			security : true
		},
		"info" : {
			url : "app%customer/query/detail/info",
			security : true
		},
		"check_login_name" : {
			url : 'app%find_login_password/check_login_name',
			security : true
		},
        "find_login_password" : {
			url : "app%find_login_password",
			security : true
		},//重设登录密码
        "trustpay/bankcard_url" : {
			url : "app%trustpay/bankcard_url",
			security : true
		},//校验身份证
        "find_login_password/check_cent_info" : {
			url : "app%find_login_password/check_cent_info",
			security : true
		}, //找回密码，校验身份证
        "modify_login_password": {
			url : "app%/modify_login_password",
			security : true
		}, //修改登录密码 post  oldPassword newPassword
		"BindCard" : {
			url : 'account/bindcard',
			security : true
		},//BindCard
		"unbindCard" : {
			url : 'app%bind_card/unbinding_card_1120',
			security : true
		},
		"banklist": {
			url : "app%bind_card/query",
			security : true
		},
		//微信授权接口
		"wx/jsconfig" : {
			url : "app%wx/jsconfig",
			security : true
		},
		//微信授权接口
		"public/3rdparty/token" : {
			url : "app%public/3rdparty/token",
			security : true
		},
		"focusmap" : {
			url : 'fet%api/ad/getAdList?appVerCode=0&os=H5&app_id=ZSY-CF-APP',
			security : true
		},
		"records": {
			url : "trade/details",
			security : true
		}, // 交易记录
		// 活期宝
		"huoqibaoPrdList": {
			url : "shb%prd/list",
			security : true
		},  // 活期宝列表
		"huoqibaoDetail": {
			url : "shb%prd/dtl",
			security : true
		},  // 活期宝详情
		"summary": {
			url : "shb%asset/summary",
			security : true
		},   // 资产汇总
		"profitlist": {
			url : "shb%profit/list",
			security : true
		}, // 收益明细
		"is_bindcard": {
			url : "shb%bank/is_bindcard",
			security : true
		}, // 活期宝是否绑卡
		"bindcard_list": {
			url : "shb%bank/bindcard_list",
			security : true
		}, // 获取绑定的银行卡
		"support_list": {
			url : "shb%bank/support_list",
			security : true
		},  // 获取支持的银行卡
		"trade_record": {
			url : "shb%trade_record/list",
			security : true
		},  // 活期宝交易记录
		"hqb_send_sms": {
			url : "shb%bank/send_sms",
			security : true
		},  // 活期宝绑卡发送验证码
		"hqb_bindcard": {
			url : "shb%bank/bindcard",
			security : true
		},  // 活期宝绑卡验证验证码
		"checkBuyLimit": {
			url : "shb%order/checkBuyLimit",
			security : true
		},  // 活期宝最大转入金额
		"purchase": {
			url : "shb%sms/purchase",
			security : true
		},  // 活期宝转入转出短信
		"orderBuy": {
			url : "shb%order/buy",
			security : true
		},  // 活期宝转入
		"checkRedeemLimit": {
			url : "shb%order/checkRedeemLimit",
			security : true
		},  // 活期宝转出最大金额
		"redeem": {
			url : "shb%sms/redeem",
			security : true
		},  // 活期宝转出发送验证码
		"orderRedeem": {
			url : "shb%order/redeem",
			security : true
		},  // 活期宝转出
		"is_unbindable": {
			url : "shb%bank/is_unbindable",
			security : true
		},  // 活期宝判断是否支持已经绑卡
		"send_sms_unbind": {
			url : "shb%bank/send_sms_unbind",
			security : true
		},  // 活期宝解绑短信接口
		"unbindcard": {
			url : "shb%bank/unbindcard",
			security : true
		},  // 活期宝解绑接口
		
		// 投资
		// 列表
        "PrdList" : {
			url : "prd/wx/list",
			security : true
		},
		// 详情
		"PrdDetail": {
			url : "prd/wx/dtl",
			security : true
		},
		// 跳转购买下单
		"PlaceOrder": {
			url : "order/place_order",
			security : true
		},
		// 购买协议
		"AgrmntList": {
			url : "h5/agrmnt/tpl/list",
			security : true
		},
		// 投资资产
		"AssetList": {
			url : "comm/asset/list",
			security : true
		},
		// 投资资产详情
		"AssetDetail": {
			url : "comm/asset/dtl",
			security : true
		},
		// 投资总资产
		"AssetTotal": {
			url : "asset/total",
			security : true
		},
		// 退出
		"Logout": {
			url : "app%logout",
			security : true
		},
		// 首页列表数据
		"Recommend" : {
			url : "prd/recommend",
			security : true
		},
		'h5/agrmnt/signed/dtl' : {
			url : 'h5/agrmnt/signed/dtl',
			security : true
		},
		// 实名页面接口
		'authenticate' : {
			url : 'account/authenticate',
			security : true
		},
		// 个人中心里面累计收益
		'accumulateProfit' : {
			url : 'comm/profit/accumulate_profit',
			security : true
		},
		// 消息中心
		'getMsgList': {
			url : 'fet%api/message/getMsgList',
			security : true
		},
		// 支付调用成功之后接口
		'statisticsChannel': {
			url : 'fet%api/statistics/channel',
			security : true
		},
		// 注册或者登录记录
		'msgRegister': {
			url : 'fet%api/message/msg/register',
			security : true
		},
		// 注册成功后，新增一个请求到中顺易财富后台，用于命中活动
		'rightsRegister': {
			url : 'rights/register',
			security : true
		},
		// 我的卡卷
		'queryMyCoupon': {
			url : 'rights/queryMyCoupon',
			security : true
		},
		'bankcard_quota': {
			url : 'account/bankcard_quota',
			security : true
		},
	},
	route : {
		'Index' : {
			url : "../../page/index/index.html",
			login : false
		}, // 首页
		"Nativeindex" : {
			url : "../../nativepage/index/index.html"
		}, //原生的首页
		"Prodetail" : {
			url : '../../page/prodetail/prodetail.html?pid',
			login : false
		}, // 产品详情
		"About": {
			url : "../../page/about/about.html",
			login : false
		}, //  关于我们
		"Aboutus" : {
			login : false,
			url : '../../page/aboutus/aboutus.html'
		},
		"Asset": {
			url : "../../page/asset/asset.html",
			login : true
		},  // 固定资产
		"Assetsdetails": {
			url : "../../page/assetsdetails/assetsdetails.html?productNo",
			login : true
		},  // 固定资产详情
		"Buy": {
			url : "../../page/buy/buy.html?pid&money",
			login : true
		},  // 购买
		"Investment": {
			url : "../../page/investment/investment.html",
			login : false
		},  // 投资 
		"Nativeme" : {
			url : "../../nativepage/me/me.html"
		}, //原生的我的财富页面
		"Me": {
			url : "../../page/me/me.html",
			login : false
		},  // 我的财富
		"Personalcenter": {
			url : "../../page/personalcenter/personalcenter.html",
			login : true
		},  // 个人中心
		"Backdetail": {
			url : "../../page/backdetail/backdetail.html?planId&orderNo",
			login : true
		},  // 返款详情
		"Records": {
			url : "../../page/records/records.html",
			login : true
		},  // 交易记录
		"Mycards": {
			url : "../../page/mycards/mycards.html?id",
			login : true
		},  // 我的卡券
		"Rebatedate": {
			url : "../../page/rebatedate/rebatedate.html?date",
			login : true
		},  // 返款日期
		"Login": {
			url : "../../page/login/login.html",
			login : false
		},  // 登录或注册
		"Loginpassword": {
			url : "../../page/loginpassword/loginpassword.html?phone&source",
			login : false
		},  // 登录
		"Register": {
			url : "../../page/register/register.html?telNo&sendCodeFlag",
			login : false
		},  // 注册 
		"Personalinfo": {
			url : "../../page/personalinfo/personalinfo.html",
			login : true
		},  // 实名信息
		"RealName" : {
			url : "../../page/realname/realname.html",
			login : true
		},  //实名认证
        "ForgetpasswordRealName" : {
            url : "../../page/forgetpasswordrealname/forgetpasswordrealname.html?phone",
            login : false
        },  //实名认证
		"Phonenumber": {
			url : "../../page/phonenumber/phonenumber.html",
			login : true
		},  // 修改手机号
		"Assetanalysis": {
			url : "../../page/assetanalysis/assetanalysis.html?totalAsset&money12&money&money6&totalProfit&staticAssets",
			login : true
		},  // 资产分析
		"Paystatus": {
			url : "../../page/paystatus/paystatus.html",
			login : true
		},// 支付状态页面
		"Banklist": {
			url : "../../page/banklist/banklist.html",
			login : true
		}, // 银行列表
		"Nomessage": {
			url : "../../page/nomessage/nomessage.html",
			login : false
		},
		"Recharge": {
			url : "../../page/recharge/recharge.html?money",
			login : true
		},        // 充值
		"Withdraw": {
			url : "../../page/withdraw/withdraw.html",
			login : true
		}, // 提现
		"Forgetpassword": {
			url : "../../page/forgetpassword/forgetpassword.html?phone",
			login : false
		},  // 忘记密码
		"ModifyPassword": {
			url : "../../page/modifypassword/modifypassword.html",
			login : true
		}, //修改登录密码
		"Phoneverification": {
			url : "../../page/phoneverification/phoneverification.html",
			login : false
		},  // 手机验证
		"SetNewPassword": {
			url : "../../page/setnewpassword/setnewpassword.html?phone",
			login : false
		},  // 设置新密码
		"Messagecenter": {
			url : "../../page/messagecenter/messagecenter.html",
			login : true
		},   // 消息中心
		// "bidingPlBidInfo": "creditFlow/financingAgency/bidingPlBidInfo.do?isMobile=1&moneyMoreMore.isMobile=1&plBidInfo.userMoney&plBidInfo.userId&plBidInfo.userName&plBidInfo.plBidPlan.bidId",   // 跳转购买
		"Buyprotocal": {
			url : "../../page/buyprotocal/buyprotocal.html",
			login : false
		},  // 用户使用协议
		"Userprotocal": {
			url : "../../page/userprotocal/userprotocal.html",
			login : false
		},  // 用户使用协议
		"Riskagreement": {
			url : "../../page/riskagreement/riskagreement.html",
			login : true
		},  // 产品相关协议及风险提示
		// 活期宝
		"Shbdetail": {
			url : "../../shbpage/shbdetail/shbdetail.html?productNo",
			login : false
		},  // 活期宝详情
		"Incomedetail": {
			url : "../../shbpage/incomedetail/incomedetail.html?productNo",
			login : true
		}, // 活期宝收益详情
		"Shbdetailmore": {
			url : "../../shbpage/static/instructions.html",
			login : false
		}, // 活期宝认购合同
		"Shbcontract": {
			url : "../../shbpage/static/contract.html",
			login : false
		}, // 活期宝更多详情
		"Shbturnout": {
			url : "../../shbpage/shbturnout/shbturnout.html?productNo",
			login : true
		}, // 活期宝转出
		"Transferredto": {
			url : "../../shbpage/transferredto/transferredto.html?productNo",
			login : true
		}, // 活期宝转入
		"Securitycard": {
			url : "../../shbpage/securitycard/securitycard.html",
			login : false
		},  // 交易记录
		"Shbrecharge": {
			url : "../../shbpage/shbrecharge/shbrecharge.html?",
			login : true
		}, // 安全卡说明
		"Securitycardlist": {
			url : "../../shbpage/securitycardlist/securitycardlist.html",
			login : true
		}, // 活期宝选择银行卡
		"Shbaddbankcards": {
			url : "../../shbpage/shbaddbankcards/shbaddbankcards.html",
			login : true
		}, // 活期宝选择银行卡下一步
		"Shbaddbankcards1": {
			url : "../../shbpage/shbaddbankcards1/shbaddbankcards1.html",
			login : true
		},  // 活期宝添加银行卡
		"Shbbanklist": {
			url : "../../shbpage/shbbanklist/shbbanklist.html",
			login : true
		},  // 银行卡列表
		"Shbcode": {
			url : "../../shbpage/shbcode/shbcode.html?bankCode&cardNo&certId&certType&mobile&userNameText&message&transferredto",
			login : true
		},  // 获取验证码
		"Shbstatus": {
			url : "../../shbpage/shbstatus/shbstatus.html",
			login : true
		},  // 支付状态
		"AssetRule": {
			url : "../../page/assetrule/assetrule.html?productNo",
			login : true
		},  // 产品协议
		"Messagerightscode": {
			url : "../../page/messagerightscode/messagerightscode.html?phone",
			login : false
		}, // 风控验证码
		"RuleDetail" : {
			url : '../../page/ruledetail/ruledetail.html?key&title',
			login : true
		},
		// 活期宝转入转出状态
		Transferredstatus : {
			url : '../../shbpage/transferredstatus/transferredstatus.html?message',
			login : true
		},
		// 活期宝转入说明
		Turnininstructions : {
			url : '../../shbpage/turnininstructions/turnininstructions.html',
			login : true
		},
		// 活期宝转出说明
		Turnoutinstructions : {
			url : '../../shbpage/turnoutinstructions/turnoutinstructions.html',
			login : true
		},
		// 修改手机号码检查是否已登录
		Checkloginpassword : {
			url : '../../page/checkloginpassword/checkloginpassword.html',
			login : true
		},
		// 修改手机号码
		Updatephone : {
			url : '../../page/updatephone/updatephone.html',
			login : true
		},
		// 检测旧手机号码
		Checkoldphone: {
			url : '../../page/checkoldphone/checkoldphone.html',
			login : true
		},
		// 检测用户名和身份证号码
		Checkuser: {
			url : '../../page/checkuser/checkuser.html',
			login : true
		},
		// 修改交易密码
		Updatepaypwd: {
			url : '../../page/updatepaypwd/updatepaypwd.html',
			login : true
		},
		// 找回交易密码
		Findpaypwd: {
			url : '../../page/findpaypwd/findpaypwd.html',
			login : true
		},
		// 邀请好友验证手机号码
		Invitefriends: {
			url : '../../sharepage/invitefriends/invitefriends.html?m',
			login : false
		},
		// 邀请好友来理财
		Invitefriendsed: {
			url : '../../sharepage/invitefriendsed/invitefriendsed.html',
			login : false
		},
		// 邀请好友规则说明
		Rule: {
			url : '../../sharepage/rule/rule.html',
			login : false
		},
		// 邀请好友分享注册
		Shareregister: {
			url : '../../sharepage/register/register.html?phone&inviteMobile',
			login : false
		},
	}
});
