define("ZSYWEB.Widget.Animate", function() {

    var Animate = function(ele, array){

        var animateEle, 
            arr = array, 
            i = 0, 
            len = 0,
            dataF;

        // 第一个参数为数组类型
        if (Array.isArray(ele)) {
            arr = ele;
            animateEle = $('body');
        } else {
            animateEle = $(ele);
        }

        if (!Array.isArray(arr)) return;

        len = arr.length;

        var css = {
            '-webkit-animation-fill-mode': 'both', 
                    'animation-fill-mode': 'both'
        };
        // 执行动画 ele: dom元素, 
        var animateFn = function (ele, cls, t1, t2) {
            var t = (+t2) + 's';
            var dom = animateEle.find(ele);

            if (!dom || dom.length === 0 || !cls) return;

            setTimeout(function () {
                css['-webkit-animation-duration'] = t;
                css['animation-duration'] = t;
                dom.css(css).show().addClass(cls);
            }, (+t1) * 1000);
        }
        // 执行动画
        for ( ; i < len; i++ ) {
            dataF = arr[i];
            animateFn(dataF[0], dataF[1], dataF[2] || '0', dataF[3] || '1');
        }
    }

    NameSpace.Register("ZSYWEB.Widget.Animate", Animate);
    return Animate;
});