define("ZSYWEB.NativeAPI", 
// 以下注释为打包工具标记，请勿删除

[
    "ZSYWEB.NativeAPI.MOBILE"
],
function (bridge) {
    var core = ZSYWEB.Core;


    // 以下注释为打包工具标记，请勿删除
    
    window.Hybrid = bridge;
    Hybrid.initHybrid();
    //使用方式   Hybrid.view.openUrl(url, function(){});
    Hybrid.wrapAPI('view.openUrl', function( str, param, cb ){
        var routeConfig = core.getRouteConfig();
        var login = false;
        var url = '';
        if(routeConfig[str] != undefined) {
            login = routeConfig[str].login || false;
            url = '/'+ (routeConfig[str].url.replace(/(\.\.\/)+/, ''));
        }
        Hybrid.callHandler('ViewOpenUrl', {
            key : str,
            url : url,
            param : param,
            login : login
        }, cb);
    });

    Hybrid.wrapAPI('view.popRoot', function( str, param, cb ){
        Hybrid.callHandler('ViewPopRoot');
    });

    Hybrid.wrapAPI('view.pop', function( flg ){
        Hybrid.callHandler('ViewPop', {
            flg : flg
        });
    });

    Hybrid.wrapAPI('view.backTo', function( str, param, cb ){
        Hybrid.callHandler('ViewBackTo', {
            key : str,
            param : param
        }, cb);
    });

    Hybrid.wrapAPI('network.fetch', function( param, cb ){
        if( cb == undefined ) {
            cb = param.success;
        };
        Hybrid.callHandler('NetworkFetch', param, cb);
    });

    Hybrid.wrapAPI('network.getEnv', function( cb ){
        Hybrid.callHandler('NetworkGetEnv', {}, cb);
    });

    Hybrid.wrapAPI('network.getDeviceInfo', function( cb ){
        Hybrid.callHandler('NetworkGetDeviceInfo', {}, cb);
    });
    
    Hybrid.wrapAPI('tools.setItem', function( key, value ){
        var obj = {
            key : key,
            value : value
        };
        Hybrid.callHandler('SetItem', obj, function(){});
    });
    Hybrid.wrapAPI('tools.getItem', function( key, cb ){
        var obj = {
            key : key
        };
        Hybrid.callHandler('GetItem', obj, cb);
    });
    Hybrid.wrapAPI('tools.removeItem', function( key ){
        var obj = {
            key : key
        };
        Hybrid.callHandler('RemoveItem', obj, function(){});
    });
    Hybrid.wrapAPI('tools.clear', function(){
        Hybrid.callHandler('Clear', {}, function(){});
    });

    Hybrid.wrapAPI('tools.getToken', function( cb ){
        Hybrid.callHandler('ToolsGetToken', {}, cb);
    });
    Hybrid.wrapAPI('ui.header', function( param, cb ){
        var button = param.button;
        var leftBtn = button.left;
        var rightBtn = button.right;

        if (leftBtn != undefined) {
            for( var i = 0; i < leftBtn.length; i++ ) {
                var obj = null;
                obj = leftBtn[i];
                var onClick = obj.onClick;
                Hybrid.registerHandler('leftBtn'+i, onClick);
                obj.fnName = 'leftBtn'+i;
            }
        }

        if (rightBtn != undefined) {
            for( var i = 0; i < rightBtn.length; i++ ) {
                var obj = null;
                obj = rightBtn[i];
                var onClick = obj.onClick;
                Hybrid.registerHandler('rightBtn'+i, onClick);
                obj.fnName = 'rightBtn'+i;
            }
        }

        Hybrid.callHandler('UiHeader', param, cb);
    });

    Hybrid.wrapAPI('ui.toast', function( param, cb ){
        Hybrid.callHandler('UiToast', param, cb);
    });

    Hybrid.wrapAPI('ui.alert', function( param, cb ){
        Hybrid.callHandler('UiAlert', param, cb);
    });
    Hybrid.wrapAPI('ui.showLoading', function( param, cb ){
        Hybrid.callHandler('UiShowLoading', param, cb);
    });
    Hybrid.wrapAPI('ui.hideLoading', function( param, cb ){
        Hybrid.callHandler('UiHideLoading', param, cb);
    });
    Hybrid.wrapAPI('tools.callPhone', function( param, cb ){
        Hybrid.callHandler('tools.callPhone', param, cb);
    });
});